Page MenuHomePhabricator

Window doesn't behave the same way in legacy and in Eo
Closed, ResolvedPublic

Description

Hi,

If the window is created as Eo, the alpha setting doesn't work.

Please check code https://pastebin.com/P33XtbMv. At line 99, you can choose between legacy and Eo for the window. With legacy, clicking on the "Alpha On" button sets the alpha, as expected. With Eo, it seems that something is tried, as the window "jumps" but nothing really happens.
May it be related to default visibility for Eo?

Thanks
JackDanielZ

JackDanielZ assigned this task to jpeg.Sep 13 2017, 5:48 AM

Updated test. Check line 339.

gcc -g full_app.c main.c pkg-config --cflags --libs elementary to compile

bu5hm4n added a project: Restricted Project.Jun 10 2018, 12:22 PM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
zmike edited projects, added efl: widgets; removed Restricted Project.Jun 11 2018, 7:42 AM
zmike triaged this task as Pending on user input priority.
zmike added a subscriber: zmike.

Is this still an issue?

zmike closed this task as Resolved.Jul 25 2018, 11:28 AM

I just fixed this in another ticket recently...